##
##  pax.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package versions
%define       V_here  20120801
%define       V_init  2012-08-01
%define       V_base  2012-08-01

#   package information
Name:         pax
Summary:      X/Open Archiving Tool
URL:          http://www.research.att.com/~gsf/
Vendor:       AT&T Bell Labs
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Archiver
License:      EPL
Version:      %{V_here}
Release:      20120808

#   list of sources
Source0:      http://I%20accept%20www.opensource.org%2flicenses%2fcpl:.@www.research.att.com/~gsf/download/tgz/ast-base.%{V_base}.tgz
Source1:      http://I%20accept%20www.opensource.org%2flicenses%2fcpl:.@www.research.att.com/~gsf/download/tgz/INIT.%{V_init}.tgz
Patch0:       pax.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, gcc
PreReq:       OpenPKG, openpkg >= 20100101

%description
    Pax is a POSIX 1003.2 conformant replacement for tar(1) and cpio(1)
    that handles most Unix archive and tape formats. Pax uses the
    vdelta algorithm to construct efficient delta archives that contain
    bytewise changes from a given base archive. gzip(1) and compress(1)
    archives are also handled on input and output.

%track
    prog pax = {
        version   = %{V_base}
        url       = http://www.research.att.com/~gsf/cgi-bin/download.cgi?action=list&name=ast-base
        regex     = ast-base\.([\d\-]+)\.tgz
    }
    prog pax:init = {
        version   = %{V_base}
        url       = http://www.research.att.com/~gsf/cgi-bin/download.cgi?action=list&name=INIT
        regex     = INIT\.([\d-]+)\.tgz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1
    %patch -p0

%build
    HOME=`pwd`; export HOME
    SHELL=/bin/sh; export SHELL
    $SHELL -c './bin/package "read" || true'
    $SHELL -c './bin/package "make" CC="%{l_cc}" MAKESKIP="3d|bzip|codexlib|coshell|cpp|cs|html|mam|msgcc|probe|proto|ss|tests|tw" || true'

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        arch/*/bin/pax $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        src/cmd/pax/pax.1.posix $RPM_BUILD_ROOT%{l_prefix}/man/man1/pax.1
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

